Subject: bug#76120: [PATCH] Expose the native sharing dialog (macOS)

From: Eli Zaretskii <[email-masked]>
Date: Thu, 13 Feb 2025 22:08:21 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Thu, 13 Feb 2025 08:33:14 -0800
> Cc: [email-masked], [email-masked], [email-masked]
> 
> Po Lu <[email-masked]> writes:
> 
> > I cannot accept this--it amounts to overt if well-intentioned sabotage
> > of the GNU project's raison d'etre.  It is widely known that AirDrop is
> > as thoroughly restrictive as the rest of Apple's computer services, and
> > it is additionally an engine of grotesque censorship, with which every
> > move towards reconciliation renders it more difficult to improve and
> > promote Emacs in good conscience, and by putting across the reasoning
> > behind my protests, I hope to enable others to explain why this is so
> > more effectively than I can.
> 
> Despite finding the tone here rather exaggerated, things like these
> actually makes me appreciate the implacability:
> https://www.schneier.com/blog/archives/2025/02/uk-is-ordering-apple-to-break-its-own-encryption.html
> 
> While I fully appreciate Eli's argument that the word "Share" is mostly
> hype, a problem that is harder to avoid is that the content of the
> "Share" menu is not necessarily customizable or controlled by users.
> 
> OTOH, nothing on a macOS machine is ultimately controlled by the user,
> so Eli is right that we either have to draw the line somewhere, or
> desupport the platform completely.  The latter would not help our cause.
> 
> In this context, a minor convenience feature that is mostly equivalent
> to "Open with" doesn't strike me as the best place to put our heels in
> the ground.  I wouldn't say that it's unproblematic, because nothing is
> as far as proprietary systems go.  However, it's also not clear that
> anything principled is at stake, given that modulo packaging we can
> provide equivalent functionality on GNU/Linux, let alone that this is a
> decision that GNU will live or die by.
> 
> The question of where to draw the line is not easy, and it's up to the
> maintainers to decide.  Our decision has been made clear, as has the
> counter-arguments, and only Richard is in a position to overrule that.

It should be clear to everyone that if Richard upholds the view that
I'm committing sabotage of the GNU project, either overt or covert, I
will step down that very moment.